package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
/**
 * @ProjectName:traceability
 * @ClassName:FunctionDetail.java
 * @Description: 运行管理详情
 * @Copyright: Copyright (c) 2017
 * @author: yangxuenan
 * @email: 958380650@qq.com
 * @date 2017年9月4日 上午10:35:53
 * @version V1.0
 */
@Table(name="T_FUNCT_DETAIL")
@Entity
public class FunctionDetail implements Serializable{

	private static final long serialVersionUID = -7857929870475856016L;
	
	@Id
	@Column(name="PK_T_FUNCT_DETAIL_FACODE")
    private String faultCode; /*故障代码*/

	@Column(name="FAULT_NAME")
    private String faultName; /*故障名称*/

	@Column(name="FAULT_LEVEL")
    private String faultLevel; /*故障等级*/
	
	@Column(name="CREATE_TIME")
    private Date createTime; /*创建时间*/

	@Column(name="UPDATE_TIME")
    private Date updateTime; /*修改时间*/

	@Column(name="DEL_FLAG")
    private Integer delFlag; /*删除标示 默认0*/

	public String getFaultCode() {
		return faultCode;
	}

	public void setFaultCode(String faultCode) {
		this.faultCode = faultCode;
	}

	public String getFaultName() {
		return faultName;
	}

	public void setFaultName(String faultName) {
		this.faultName = faultName;
	}

	public String getFaultLevel() {
		return faultLevel;
	}

	public void setFaultLevel(String faultLevel) {
		this.faultLevel = faultLevel;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
	
	

}
