package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;


/**
 * 车型管理实体类
 * @ProjectName:traceability
 * @ClassName:Models.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: shiyongzhi
 * @email: 827871781@qq.com 
 * @date Aug 25, 2017 10:16:01 AM
 * @version V1.0
 */
@Table(name = "T_MODELS")
@Entity
public class Models implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -2878420106846191789L;

	/*
	 * 车型代码
	 */
	@Id
	@Column(name = "PK_T_VEC_CODE")
    private String vehicleCode;
	
	/*
	 * 车型名称
	 */
	@Column(name = "VEC_NAME")
    private String vehicleName;

	/*
	 * 车型级别
	 */
	@Column(name = "VEC_CLASS")
    private String vehicleClass;
	
	/*
	 * 	车型类别
	 */
	@Column(name = "VEC_TYPE")
    private String vehicleType;

	/*
	 * 库存数量
	 */
	@Column(name = "MODELS_QTY")
    private Long modelsQty;

	/*
	 * 删除标识
	 */
	@Column(name = "DEL_FLAG")
    private Integer delFlag;

	/*
	 * 创建时间
	 */
	@Column(name = "CREATE_TIME")	
    private Date createTime;
	
	/*
	 * 更新时间
	 */
	@Column(name = "UPDATE_TIME")
    private Date updateTime;

	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;


    public String getVehicleCode() {
        return vehicleCode;
    }

    public void setVehicleCode(String vehicleCode) {
        this.vehicleCode = vehicleCode;
    }

    public String getVehicleName() {
        return vehicleName;
    }

    public void setVehicleName(String vehicleName) {
        this.vehicleName = vehicleName;
    }

    public String getVehicleClass() {
        return vehicleClass;
    }

    public void setVehicleClass(String vehicleClass) {
        this.vehicleClass = vehicleClass;
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType;
    }

    public Long getModelsQty() {
        return modelsQty;
    }

    public void setModelsQty(Long modelsQty) {
        this.modelsQty = modelsQty;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}
    
    
}