package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
/**
 * 车型管理关联表
 * @ProjectName:traceability
 * @ClassName:ModelsCorrelation.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: shiyongzhi
 * @email: 827871781@qq.com 
 * @date Aug 31, 2017 3:53:23 PM
 * @version V1.0
 */
@Table(name = " T_MODELS_CORRELAT_TION ")
@Entity
public class ModelsCorrelation implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -224598625810822280L;
	/*
	 * 零件号
	 */
	@Id
	@Column(name = "PK_T_PART_NUM")
    private String partNumber;
	/*
	 * 车型代码
	 */
	@Column(name = "VEC_CODE")
    private String vehicleCode;
	/*
	 * 零件全称
	 */
	@Column(name = "PART_NAME")
    private String partName;
	/*
	 * 关键件名称
	 */
	@Column(name = "KEY_NAME")
    private String keypartsName;
	/*
	 * 删除标识
	 */
	@Column(name = "DEL_FLAG")
    private Integer delFlag;
	/*
	 * 创建时间
	 */
	@Column(name = "CREAT_TIME")
    private Date creatTime;
	/*
	 * 更新时间
	 */
	@Column(name = "UPDATE_TIME")
    private Date updateTime;
	

    public String getPartNumber() {
        return partNumber;
    }

    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    public String getVehicleCode() {
        return vehicleCode;
    }

    public void setVehicleCode(String vehicleCode) {
        this.vehicleCode = vehicleCode;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public String getKeypartsName() {
        return keypartsName;
    }

    public void setKeypartsName(String keypartsName) {
        this.keypartsName = keypartsName;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}