package com.catarc.traceability.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "T_ROLE")
public class Role implements Serializable {
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4212315894819747757L;

	@Id
	@Column(name = "PK_T_Role_Id")
    private String pkTRoleId;
	
	@Column(name = "NAME")
    private String name;
	
	@Column(name = "COUNT")
    private Integer count;

	@Column(name = "REMARK")
    private String remark;
	
	@Column(name = "CREATE_TIME")
    private Date createTime;
	@Column(name = "UPDATE_TIME")
    private Date updateTime;
	
	@Column(name = "DEL_FLAG")
    private Integer delFlag;


    
	 /**
		 * 分页参数
		 */
	    @Transient
		private Integer page;
		/**
		 * 分页
		 */
	    @Transient
		private Integer limit;
	    
	    
	    
	
    public Integer getPage() {
			return page;
		}

		public void setPage(Integer page) {
			this.page = page;
		}

		public Integer getLimit() {
			return limit;
		}

		public void setLimit(Integer limit) {
			this.limit = limit;
		}

	public String getPkTRoleId() {
		return pkTRoleId;
	}

	public void setPkTRoleId(String pkTRoleId) {
		this.pkTRoleId = pkTRoleId;
	}

	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

   

    public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}