package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name="T_AUTHORITY")
@Entity
public class Authority implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5057753202476173570L;
	@Id
    @Column(name = "T_PK_AUTHO_ID")
    private String tPkAuthoId;
	@Column(name = "AUTHORITY_NAME")
    private String authorityName;
	@Column(name = "URL")
    private String url;
	@Column(name = "CREATE_TIME")
    private Date createTime;
	@Column(name = "UPDATE_TIME")
    private Date updateTime;
	@Column(name = "DEL_FLAG")
    private Integer delFlag;
	@Column(name = "PID")
	private Integer PID;
	@Transient
	private String trAnName;
	@Column(name = "IMG")
	private String Img;
    
   
    
    
    public String getImg() {
		return Img;
	}

	public void setImg(String img) {
		Img = img;
	}

	public String getTrAnName() {
		return trAnName;
	}

	public void setTrAnName(String trAnName) {
		this.trAnName = trAnName;
	}

	public Integer getPID() {
		return PID;
	}

	public void setPID(Integer pID) {
		PID = pID;
	}

	public String gettPkAuthoId() {
		return tPkAuthoId;
	}

	public void settPkAuthoId(String tPkAuthoId) {
		this.tPkAuthoId = tPkAuthoId;
	}

	public String getAuthorityName() {
        return authorityName;
    }

    public void setAuthorityName(String authorityName) {
        this.authorityName = authorityName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}