package com.catarc.traceability.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Table(name = "T_CCODE")
@Entity
public class ComponentsCode implements Serializable {
   
	private static final long serialVersionUID = 3899685614323828570L;
    /*
     * 零件识别码
     */
	@Id
    @Column(name = "PK_T_CCODE_ID")
    private String codeId;
    
	/*
     * 零件号
     */
    @Column(name = "COMPON_ID")
    private String componentsId;
   
    /*
     * 创建时间
     */
    @Column(name = "CTIME")
    private Date createTime;
   
    /*
     * 修改时间
     */
    @Column(name = "UTIME")
    private Date updateTime;
    
    /*
     * 删除标识
     */
    @Column(name = "DEFLAG")
    private Integer delFlag;

    public String getCodeId() {
        return codeId;
    }

    public void setCodeId(String codeId) {
        this.codeId = codeId;
    }

    public String getComponentsId() {
        return componentsId;
    }

    public void setComponentsId(String componentsId) {
        this.componentsId = componentsId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}