package com.catarc.traceability.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 车型表实体类
 * @ProjectName traceability
 * @Description:
 * @Copyright: Copyright (c) 2017
 * @author:马晓晨
 * @email:747052172@qq.com
 * @date: 2017年9月13日上午11:04:08
 * @version V1.0
 */
@Table(name="T_REMOTE_MODELS")
@Entity
public class RomoteModels implements Serializable{
	
	private static final long serialVersionUID = -8998779939284578476L;
	//车型
	@Id
	@Column(name="PK_T_REMOTE_MODELS_CAR_TYPE")
	private String pkRemoteModelsCarType;
	//车身颜色
	@Column(name="CAR_COLR")
	private String carColr;
	//驱动方式
	@Column(name="DRIVE_WAY")
	private String driveWay;
	//燃料种类
	@Column(name="FUEL_TYPE")
	private String fuelType;
	//车身长度
	@Column(name="CAR_LENGTH")
	private String carLength;
	//车身宽度
	@Column(name="CAR_WIDTH")
	private String carWidth;
	//车身高度
	@Column(name="CAR_HEIGHT")
	private String carHeight;
	//轴距
	@Column(name="WHEEL_TREAD")
	private String wheelTread;
	//车轮规格
	@Column(name="WHEEL_STANDARD")
	private String wheelStandard;
	//轴数
	@Column(name="AXLE_NUMBER")
	private String axleNumber;
	//轮胎数
	@Column(name="WHEEL_NUMBER")
	private String wheelNumber;
	//前轮距
	@Column(name="FRONT_WHEEL_TREAD")
	private String frontWheelTread;
	//后轮距
	@Column(name="REAR_WHEEL_TREAD")
	private String rearWheelTread;
	//总质量
	@Column(name="TOTAL_MASS")
	private String totalMass;
	//载客人数
	@Column(name="PASSENGERS")
	private String passengers;
	//ABS类型
	@Column(name="ABS_TYPE")
	private String absType;
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;

	public String getPkRemoteModelsCarType() {
		return pkRemoteModelsCarType;
	}
	public void setPkRemoteModelsCarType(String pkRemoteModelsCarType) {
		this.pkRemoteModelsCarType = pkRemoteModelsCarType;
	}
	public String getCarColr() {
		return carColr;
	}
	public void setCarColr(String carColr) {
		this.carColr = carColr;
	}
	public String getDriveWay() {
		return driveWay;
	}
	public void setDriveWay(String driveWay) {
		this.driveWay = driveWay;
	}
	public String getFuelType() {
		return fuelType;
	}
	public void setFuelType(String fuelType) {
		this.fuelType = fuelType;
	}
	public String getCarLength() {
		return carLength;
	}
	public void setCarLength(String carLength) {
		this.carLength = carLength;
	}
	public String getCarWidth() {
		return carWidth;
	}
	public void setCarWidth(String carWidth) {
		this.carWidth = carWidth;
	}
	public String getCarHeight() {
		return carHeight;
	}
	public void setCarHeight(String carHeight) {
		this.carHeight = carHeight;
	}
	public String getWheelTread() {
		return wheelTread;
	}
	public void setWheelTread(String wheelTread) {
		this.wheelTread = wheelTread;
	}
	public String getWheelStandard() {
		return wheelStandard;
	}
	public void setWheelStandard(String wheelStandard) {
		this.wheelStandard = wheelStandard;
	}
	public String getAxleNumber() {
		return axleNumber;
	}
	public void setAxleNumber(String axleNumber) {
		this.axleNumber = axleNumber;
	}
	public String getWheelNumber() {
		return wheelNumber;
	}
	public void setWheelNumber(String wheelNumber) {
		this.wheelNumber = wheelNumber;
	}
	public String getFrontWheelTread() {
		return frontWheelTread;
	}
	public void setFrontWheelTread(String frontWheelTread) {
		this.frontWheelTread = frontWheelTread;
	}
	public String getRearWheelTread() {
		return rearWheelTread;
	}
	public void setRearWheelTread(String rearWheelTread) {
		this.rearWheelTread = rearWheelTread;
	}
	public String getTotalMass() {
		return totalMass;
	}
	public void setTotalMass(String totalMass) {
		this.totalMass = totalMass;
	}
	public String getPassengers() {
		return passengers;
	}
	public void setPassengers(String passengers) {
		this.passengers = passengers;
	}
	public String getAbsType() {
		return absType;
	}
	public void setAbsType(String absType) {
		this.absType = absType;
	}
	public Integer getPage() {
		return page;
	}
	public void setPage(Integer page) {
		this.page = page;
	}
	public Integer getLimit() {
		return limit;
	}
	public void setLimit(Integer limit) {
		this.limit = limit;
	}
	
	

}
